{ inputs, system, sources, ... }: {
  mkHost = host:
    inputs.nixpkgs.lib.nixosSystem {
      specialArgs = { inherit inputs system sources; };

      modules = [
        host
        ./modules/nixos
        inputs.home-manager.nixosModules.default
        inputs.stylix.nixosModules.stylix
        inputs.impermanence.nixosModules.impermanence
      ];
    };
}
